package com.mx.dla.dda.catalogos.dtos;

import java.io.Serializable;

import org.apache.commons.lang3.builder.ToStringBuilder;

public class EmpresaVentaDTO implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private Long         idEmpresa;
	private Long         idPais;
	private String       descripcion;
	private Integer      estatus;
    private Integer      orden;
    private PaisVentaDTO paisVentaDTO;
    
	public Long getIdEmpresa() {
		return idEmpresa;
	}
	public void setIdEmpresa(Long idEmpresa) {
		this.idEmpresa = idEmpresa;
	}
	public Long getIdPais() {
		return idPais;
	}
	public void setIdPais(Long idPais) {
		this.idPais = idPais;
	}
	public String getDescripcion() {
		return descripcion;
	}
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	public Integer getEstatus() {
		return estatus;
	}
	public void setEstatus(Integer estatus) {
		this.estatus = estatus;
	}
	public Integer getOrden() {
		return orden;
	}
	public void setOrden(Integer orden) {
		this.orden = orden;
	}		
	public PaisVentaDTO getPaisVentaDTO() {
		return paisVentaDTO;
	}
	public void setPaisVentaDTO(PaisVentaDTO paisVentaDTO) {
		this.paisVentaDTO = paisVentaDTO;
	}
	@Override
	public String toString() {
		return "EmpresaVentaDTO ["+ToStringBuilder.reflectionToString(this)+"]";
	}	
	  
}
